#Example  - Chapter 8#


#download the data "example_chapter8.RData" to C:\regression\ 

# assign the working directory 
setwd ("C:/regression/")


# load "example_chapter8.rdata" 

load ("example_chapter8.rdata")


#"example_chapter8" is the name of the data frame



#descriptive statistics
# Method 1 - mean, median, standard deviation, variance, min, max, range
mean(example_chapter8$child)
median(example_chapter8$child)
var(example_chapter8$child)
sd(example_chapter8$child)
min(example_chapter8$child)
max(example_chapter8$child)

mean(example_chapter8$sibling)
median(example_chapter8$sibling)
var(example_chapter8$sibling)
sd(example_chapter8$sibling)
min(example_chapter8$sibling)
max(example_chapter8$sibling)


# Method 2- mean, median, standard deviation, variance, min, max, range 
# need a package "pastecs"

install.packages("pastecs")

library (pastecs)

stat.desc(example_chapter8)

# frequency
# need a package "descr"

install.packages("descr")

library(descr)

freq(example_chapter8$academic, plot=FALSE)
freq(example_chapter8$gender, plot=FALSE)



#Making dummy variables

example_chapter8$b_dummy<-0
example_chapter8$g_dummy<-0
example_chapter8$h_dummy<-0
example_chapter8$male_dummy<-0

example_chapter8$b_dummy[example_chapter8$academic=="Bachelors"]<-1
example_chapter8$g_dummy[example_chapter8$academic=="Graduate degree"]<-1
example_chapter8$h_dummy[example_chapter8$academic=="High school"]<-1
example_chapter8$male_dummy[example_chapter8$gender=="Male"]<-1


#correlation among X's

cor(cbind(example_chapter8$b_dummy, example_chapter8$g_dummy,
          example_chapter8$male_dummy, example_chapter8$sibling))


# Full Poisson regression (Y = child, X = b_dummy, g_dummy, male_dummy, sibling) 
summary(m1<-glm(child ~ b_dummy+g_dummy+male_dummy+sibling, family="poisson", data=example_chapter8))

pr<-residuals(m1, "pearson")
sum(pr^2)

# Partial Poisson regression (Y = child, X = male_dummy, sibling) 

summary(m2<-glm(child ~ male_dummy+sibling, family="poisson", data=example_chapter8))

#Comparison of full and partial Poisson models
install.packages("lmtest")

library(lmtest)

lrtest (m1, m2)

# Poisson regression with "Graduate degree" as reference (Y = child, X = b_dummy, h_dummy, male_dummy, sibling)
summary(m3<-glm(child ~ b_dummy+h_dummy+male_dummy+sibling, family="poisson", data=example_chapter8))




